# class OpenUrlEvent

###

Module | kparts
Namespace | KParts
Class | OpenUrlEvent
Inherits | KParts::Event

### methods

- OpenUrlEvent (part, url, args, browserArgs)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  part | KParts.ReadOnlyPart |
  url | KUrl |
  args | KParts.OpenUrlArguments | KParts.OpenUrlArguments()
  browserArgs | KParts.BrowserArguments | KParts.BrowserArguments()

- arguments ( )

  returns KParts.OpenUrlArguments

- browserArguments ( )

  returns KParts.BrowserArguments

- part ( )

  returns KParts.ReadOnlyPart

- test (event)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  event | QEvent |

- url ( )

  returns KUrl